Package com.independentsoft.office.odf.styles

# Enum Class StrokeLineJoin

java.lang.Object
java.lang.Enum<StrokeLineJoin>
com.independentsoft.office.odf.styles.StrokeLineJoin

All Implemented Interfaces:
  `Serializable`, `Comparable<StrokeLineJoin>`, `Constable`

public enum StrokeLineJoin extends Enum<StrokeLineJoin>
Represents the shape at the corners of paths or other vector shapes when they are stroked.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BEVEL`
  Bevel.
  `INHERIT`
  Inherit.
  `MIDDLE`
  Mean value between joins is used (deprecated).
  `MITER`
  Miter.
  `NONE`
  No shape specified.
  `ROUND`
  Round.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StrokeLineJoin`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static StrokeLineJoin[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MITER

    public static final StrokeLineJoin MITER
    Miter.

  - ### ROUND

    public static final StrokeLineJoin ROUND
    Round.

  - ### BEVEL

    public static final StrokeLineJoin BEVEL
    Bevel.

  - ### MIDDLE

    public static final StrokeLineJoin MIDDLE
    Mean value between joins is used (deprecated).

  - ### INHERIT

    public static final StrokeLineJoin INHERIT
    Inherit.

  - ### NONE

    public static final StrokeLineJoin NONE
    No shape specified.

- ## Method Details

  - ### values

    public static StrokeLineJoin[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StrokeLineJoin valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null